<template>
  <svg :class="`icon -${size}`">
    <use :xlink:href="`#${name}`"/>
  </svg>
</template>

<script>
const iconSize = {
  SMALL: 's',
  MEDIUM: 'm',
  LARGE: 'l'
}

export default {
  name: 'Icon',
  props: {
    name: {
      type: String,
      required: true,
    },
    size: {
      type: String,
      default: iconSize.MEDIUM,
      validator: (value) => {
        return (Object.values(iconSize).includes(value));
      }
    }
  }
}
</script>

<style lang="scss">
svg.icon {
  fill: currentColor;
  vertical-align: middle;

  &.-s {
    flex: 0 0 20px;
    width: 20px;
    height: 20px;
  }

  &.-m {
    flex: 0 0 30px;
    width: 30px;
    height: 30px;
  }

  &.-l {
    flex: 0 0 60px;
    width: 60px;
    height: 60px;
  }
}
</style>
